Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class ServiceResource

    java.lang.Object
      org.hyperic.hq.product.ServiceResource

    public class ServiceResource

extends Object

Field Summary
`static String` | `SERVER_NAME_PREFIX` Special token when used in the service name will be replaced with the service's parent server name.

Constructor Summary
`ServiceResource()`

Method Summary
`String` | `getDescription()`
`String` | `getName()`
`org.hyperic.util.config.ConfigResponse` | `getProductConfig()`
`String` | `getType()`
`void` | `setControlConfig()`
`void` | `setControlConfig(org.hyperic.util.config.ConfigResponse config)`
`void` | `setControlConfig(Map config)`
`void` | `setCustomProperties(org.hyperic.util.config.ConfigResponse config)`
`void` | `setCustomProperties(Map props)`
`void` | `setDescription(String description)`
`void` | `setMeasurementConfig()`
`void` | `setMeasurementConfig(org.hyperic.util.config.ConfigResponse config)`
`void` | `setMeasurementConfig(org.hyperic.util.config.ConfigResponse config, int logTrackLevel, boolean enableConfigTrack)`
`void` | `setMeasurementConfig(Map config)`
`void` | `setName(String name)` In most cases, setServiceName should be used to include the parent server name for uniqueness.
`void` | `setProductConfig()`
`void` | `setProductConfig(org.hyperic.util.config.ConfigResponse config)`
`void` | `setProductConfig(Map config)`
`void` | `setResponseTimeConfig(org.hyperic.util.config.ConfigResponse config)`
`void` | `setServiceName(String name)` Set the name of the service, prepending the parent server name using SERVER_NAME_PREFIX.
`void` | `setType(GenericPlugin plugin, String type)`
`void` | `setType(String name)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SERVER_NAME_PREFIX

    public static final String SERVER_NAME_PREFIX

  Special token when used in the service name will be replaced with the service's parent server name.

  See Also:
    Constant Field Values

Constructor Detail

### ServiceResource

    public ServiceResource()

Method Detail

### setServiceName

    public void setServiceName(String name)

  Set the name of the service, prepending the parent server name using SERVER_NAME_PREFIX.

  Parameters:
    `name` - Service name, must be unique to the parent server.

### setType

    public void setType(GenericPlugin plugin,
                        String type)

### setType

    public void setType(String name)

### getType

    public String getType()

### setName

    public void setName(String name)

  In most cases, setServiceName should be used to include the parent server name for uniqueness.

### getName

    public String getName()

### setDescription

    public void setDescription(String description)

### getDescription

    public String getDescription()

### setProductConfig

    public void setProductConfig(org.hyperic.util.config.ConfigResponse config)

### getProductConfig

    public org.hyperic.util.config.ConfigResponse getProductConfig()

### setMeasurementConfig

    public void setMeasurementConfig(org.hyperic.util.config.ConfigResponse config)

### setMeasurementConfig

    public void setMeasurementConfig(org.hyperic.util.config.ConfigResponse config,
                                     int logTrackLevel,
                                     boolean enableConfigTrack)

### setControlConfig

    public void setControlConfig(org.hyperic.util.config.ConfigResponse config)

### setResponseTimeConfig

    public void setResponseTimeConfig(org.hyperic.util.config.ConfigResponse config)

### setProductConfig

    public void setProductConfig()

### setMeasurementConfig

    public void setMeasurementConfig()

### setControlConfig

    public void setControlConfig()

### setCustomProperties

    public void setCustomProperties(org.hyperic.util.config.ConfigResponse config)

### setProductConfig

    public void setProductConfig(Map config)

### setMeasurementConfig

    public void setMeasurementConfig(Map config)

### setControlConfig

    public void setControlConfig(Map config)

### setCustomProperties

    public void setCustomProperties(Map props)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.